///////////////////////////////////////////////////////
//                                                   //
//       Московский Государственный Технический      //
//           Университет Гражданской Авиации         //
//                                                   //
//      Курсовая работа студента группы: ЭВМ-2-2     //
//           Новичкова Виталия Дмитриевича           //
//                                                   //
// (с) 2005-2012 Система Компьютнрных Сетей  WohlNET //
//                                                   //
///////////////////////////////////////////////////////

//Обвести выбранную область в рамочку

void textborder(int bx, int by, int cx, int cy,int color=7)
{
gotoxy(bx,by);
textcolor(color);
cprintf("╔");
gotoxy(bx+1,by);

for(i=bx+1;i<cx;i++)
	{
	gotoxy(i,by);
	cprintf("═");
	}

gotoxy(cx,by);
cprintf("╗");

for(i=by+1;i<cy;i++)
	{
	gotoxy(cx,i);
	cprintf("║");
	}

gotoxy(cx,cy);
cprintf("╝");

for(i=cx-1;i>bx;i--)
	{
	gotoxy(i,cy);
	cprintf("═");
	}
gotoxy(bx,cy);
cprintf("╚");

for(i=cy-1;i>by;i--)
	{
	gotoxy(bx,i);
	cprintf("║");
	}

}